com.pivotal.gemfirexd.thrift.internal

## Class ClientStatement

- java.lang.Object
- - com.pivotal.gemfirexd.thrift.internal.ClientStatement

All Implemented Interfaces:
  com.pivotal.gemfirexd.thrift.common.LobService, AutoCloseable, Statement, Wrapper

Direct Known Subclasses:
  ClientPreparedStatement

    public class ClientStatement
    extends Object
    implements Statement

Since:
  gfxd 1.1

### Field Summary

Fields
`protected com.pivotal.gemfirexd.thrift.StatementAttrs` `attrs`
`protected ArrayList<String>` `batchSQLs`
`protected ClientConnection` `conn`
`protected com.pivotal.gemfirexd.thrift.RowSet` `currentGeneratedKeys`
`protected com.pivotal.gemfirexd.thrift.RowSet` `currentRowSet`
`protected int` `currentUpdateCount`
`protected ClientFinalizer` `finalizer`
`protected boolean` `isOpen`
`protected ClientService` `service`
`protected int` `statementId`
`protected com.pivotal.gemfirexd.thrift.GFXDExceptionData` `warnings`
`protected boolean` `wasNull`

### Fields inherited from interface java.sql.Statement

`CLOSE_ALL_RESULTS, CLOSE_CURRENT_RESULT, EXECUTE_FAILED, KEEP_CURRENT_RESULT, NO_GENERATED_KEYS, RETURN_GENERATED_KEYS, SUCCESS_NO_INFO`

### Method Summary

Methods
`void` `addBatch(String sql)`
`void` `cancel()`
`protected void` `checkClosed()`
`void` `clearBatch()`
`protected void` `clearFinalizer()`
`void` `clearWarnings()`
`void` `close()`
`void` `closeOnCompletion()`
`Blob` `createBlob(com.pivotal.gemfirexd.thrift.BlobChunk firstChunk)`
`Clob` `createClob(com.pivotal.gemfirexd.thrift.ClobChunk firstChunk)`
`boolean` `execute(String sql)`
`protected boolean` `execute(String sql, boolean getAutoInc, int[] autoIncColumns, String[] autoIncColumnNames)`
`boolean` `execute(String sql, int autoGeneratedKeys)`
`boolean` `execute(String sql, int[] columnIndexes)`
`boolean` `execute(String sql, String[] columnNames)`
`int[]` `executeBatch()`
`ResultSet` `executeQuery(String sql)`
`int` `executeUpdate(String sql)`
`protected int` `executeUpdate(String sql, boolean getAutoInc, int[] autoIncColumns, String[] autoIncColumnNames)`
`int` `executeUpdate(String sql, int autoGeneratedKeys)`
`int` `executeUpdate(String sql, int[] columnIndexes)`
`int` `executeUpdate(String sql, String[] columnNames)`
`protected Array` `getArray(int columnIndex, com.pivotal.gemfirexd.thrift.GFXDType gfxdType, com.pivotal.gemfirexd.thrift.Row row)`
`protected InputStream` `getAsciiStream(int columnIndex, com.pivotal.gemfirexd.thrift.GFXDType gfxdType, com.pivotal.gemfirexd.thrift.Row row)`
`com.pivotal.gemfirexd.thrift.StatementAttrs` `getAttributes()`
`protected BigDecimal` `getBigDecimal(int columnIndex, com.pivotal.gemfirexd.thrift.GFXDType gfxdType, com.pivotal.gemfirexd.thrift.Row row)`
`protected BigDecimal` `getBigDecimal(int columnIndex, int scale, com.pivotal.gemfirexd.thrift.GFXDType gfxdType, com.pivotal.gemfirexd.thrift.Row row)`
`protected InputStream` `getBinaryStream(int columnIndex, com.pivotal.gemfirexd.thrift.GFXDType gfxdType, com.pivotal.gemfirexd.thrift.Row row)`
`protected Blob` `getBlob(int columnIndex, com.pivotal.gemfirexd.thrift.GFXDType gfxdType, com.pivotal.gemfirexd.thrift.Row row)`
`com.pivotal.gemfirexd.thrift.BlobChunk` `getBlobChunk(int lobId, long offset, int chunkSize, boolean freeLobAtEnd)`
`protected boolean` `getBoolean(int columnIndex, com.pivotal.gemfirexd.thrift.GFXDType gfxdType, com.pivotal.gemfirexd.thrift.Row row)`
`protected byte` `getByte(int columnIndex, com.pivotal.gemfirexd.thrift.GFXDType gfxdType, com.pivotal.gemfirexd.thrift.Row row)`
`protected byte[]` `getBytes(int columnIndex, com.pivotal.gemfirexd.thrift.GFXDType gfxdType, com.pivotal.gemfirexd.thrift.Row row)`
`protected Reader` `getCharacterStream(int columnIndex, com.pivotal.gemfirexd.thrift.GFXDType gfxdType, com.pivotal.gemfirexd.thrift.Row row)`
`protected Clob` `getClob(int columnIndex, com.pivotal.gemfirexd.thrift.GFXDType gfxdType, com.pivotal.gemfirexd.thrift.Row row)`
`com.pivotal.gemfirexd.thrift.ClobChunk` `getClobChunk(int lobId, long offset, int chunkSize, boolean freeLobAtEnd)`
`Connection` `getConnection()`
`protected Date` `getDate(int columnIndex, Calendar cal, com.pivotal.gemfirexd.thrift.GFXDType gfxdType, com.pivotal.gemfirexd.thrift.Row row)`
`protected double` `getDouble(int columnIndex, com.pivotal.gemfirexd.thrift.GFXDType gfxdType, com.pivotal.gemfirexd.thrift.Row row)`
`int` `getFetchDirection()`
`int` `getFetchSize()`
`protected float` `getFloat(int columnIndex, com.pivotal.gemfirexd.thrift.GFXDType gfxdType, com.pivotal.gemfirexd.thrift.Row row)`
`ResultSet` `getGeneratedKeys()`
`protected int` `getInt(int columnIndex, com.pivotal.gemfirexd.thrift.GFXDType gfxdType, com.pivotal.gemfirexd.thrift.Row row)`
`protected HostConnection` `getLobSource(boolean throwOnFailure, String op)`
`protected long` `getLong(int columnIndex, com.pivotal.gemfirexd.thrift.GFXDType gfxdType, com.pivotal.gemfirexd.thrift.Row row)`
`int` `getMaxFieldSize()`
`int` `getMaxRows()`
`boolean` `getMoreResults()`
`boolean` `getMoreResults(int current)`
`protected Reader` `getNCharacterStream(int columnIndex, com.pivotal.gemfirexd.thrift.GFXDType gfxdType, com.pivotal.gemfirexd.thrift.Row row)`
`protected NClob` `getNClob(int columnIndex, com.pivotal.gemfirexd.thrift.GFXDType gfxdType, com.pivotal.gemfirexd.thrift.Row row)`
`protected String` `getNString(int columnIndex, com.pivotal.gemfirexd.thrift.GFXDType gfxdType, com.pivotal.gemfirexd.thrift.Row row)`
`protected <T> T` `getObject(int columnIndex, Class<T> type, com.pivotal.gemfirexd.thrift.GFXDType gfxdType, com.pivotal.gemfirexd.thrift.Row row)`
`protected Object` `getObject(int columnIndex, com.pivotal.gemfirexd.thrift.GFXDType gfxdType, com.pivotal.gemfirexd.thrift.Row row)`
`protected Object` `getObject(int columnIndex, Map<String,Class<?>> map, com.pivotal.gemfirexd.thrift.GFXDType gfxdType, com.pivotal.gemfirexd.thrift.Row row)`
`int` `getQueryTimeout()`
`protected Ref` `getRef(int columnIndex, com.pivotal.gemfirexd.thrift.GFXDType gfxdType, com.pivotal.gemfirexd.thrift.Row row)`
`ResultSet` `getResultSet()`
`int` `getResultSetConcurrency()`
`int` `getResultSetHoldability()`
`int` `getResultSetType()`
`protected RowId` `getRowId(int columnIndex, com.pivotal.gemfirexd.thrift.GFXDType gfxdType, com.pivotal.gemfirexd.thrift.Row row)`
`protected short` `getShort(int columnIndex, com.pivotal.gemfirexd.thrift.GFXDType gfxdType, com.pivotal.gemfirexd.thrift.Row row)`
`protected SQLXML` `getSQLXML(int columnIndex, com.pivotal.gemfirexd.thrift.GFXDType gfxdType, com.pivotal.gemfirexd.thrift.Row row)`
`protected String` `getString(int columnIndex, com.pivotal.gemfirexd.thrift.GFXDType gfxdType, com.pivotal.gemfirexd.thrift.Row row)`
`protected Time` `getTime(int columnIndex, Calendar cal, com.pivotal.gemfirexd.thrift.GFXDType gfxdType, com.pivotal.gemfirexd.thrift.Row row)`
`protected Timestamp` `getTimestamp(int columnIndex, Calendar cal, com.pivotal.gemfirexd.thrift.GFXDType gfxdType, com.pivotal.gemfirexd.thrift.Row row)`
`int` `getUpdateCount()`
`protected URL` `getURL(int columnIndex, com.pivotal.gemfirexd.thrift.GFXDType gfxdType, com.pivotal.gemfirexd.thrift.Row row)`
`SQLWarning` `getWarnings()`
`protected void` `initializeProcedureOutParams(com.pivotal.gemfirexd.thrift.StatementResult sr)`
`boolean` `isClosed()`
`boolean` `isCloseOnCompletion()`
`boolean` `isPoolable()`
`boolean` `isWrapperFor(Class<?> iface)`
`protected void` `reset()`
`protected void` `setAutoIncAttributes(boolean getAutoInc, int[] autoIncColumns, String[] autoIncColumnNames)`
`protected void` `setCurrentRowSet(com.pivotal.gemfirexd.thrift.RowSet rs)`
`protected void` `setCurrentSource(byte entityId, int newId, com.pivotal.gemfirexd.thrift.RowSet rs)`
`void` `setCursorName(String name)`
`void` `setEscapeProcessing(boolean enable)`
`void` `setFetchDirection(int direction)`
`void` `setFetchSize(int rows)`
`void` `setMaxFieldSize(int max)`
`void` `setMaxRows(int max)`
`void` `setPoolable(boolean poolable)`
`void` `setQueryTimeout(int seconds)`
`<T> T` `unwrap(Class<T> iface)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### conn

    protected final ClientConnection conn

#### attrs

    protected final com.pivotal.gemfirexd.thrift.StatementAttrs attrs

#### statementId

    protected volatile int statementId

#### currentRowSet

    protected com.pivotal.gemfirexd.thrift.RowSet currentRowSet

#### currentUpdateCount

    protected int currentUpdateCount

#### currentGeneratedKeys

    protected com.pivotal.gemfirexd.thrift.RowSet currentGeneratedKeys

#### warnings

    protected volatile com.pivotal.gemfirexd.thrift.GFXDExceptionData warnings

#### isOpen

    protected volatile boolean isOpen

#### batchSQLs

    protected ArrayList<String> batchSQLs

#### service

    protected final ClientService service

#### finalizer

    protected ClientFinalizer finalizer

#### wasNull

    protected boolean wasNull

### Method Detail

#### checkClosed

    protected final void checkClosed()
                              throws SQLException

Throws:
  `SQLException`

#### getAttributes

    public final com.pivotal.gemfirexd.thrift.StatementAttrs getAttributes()

#### reset

    protected void reset()

#### setCurrentRowSet

    protected void setCurrentRowSet(com.pivotal.gemfirexd.thrift.RowSet rs)

#### executeQuery

    public ResultSet executeQuery(String sql)
                           throws SQLException

Specified by:
  `executeQuery` in interface `Statement`
Throws:
  `SQLException`

#### executeUpdate

    public int executeUpdate(String sql)
                      throws SQLException

Specified by:
  `executeUpdate` in interface `Statement`
Throws:
  `SQLException`

#### getMaxFieldSize

    public int getMaxFieldSize()
                        throws SQLException

Specified by:
  `getMaxFieldSize` in interface `Statement`
Throws:
  `SQLException`

#### setMaxFieldSize

    public void setMaxFieldSize(int max)
                         throws SQLException

Specified by:
  `setMaxFieldSize` in interface `Statement`
Throws:
  `SQLException`

#### getMaxRows

    public int getMaxRows()
                   throws SQLException

Specified by:
  `getMaxRows` in interface `Statement`
Throws:
  `SQLException`

#### setMaxRows

    public void setMaxRows(int max)
                    throws SQLException

Specified by:
  `setMaxRows` in interface `Statement`
Throws:
  `SQLException`

#### setEscapeProcessing

    public void setEscapeProcessing(boolean enable)
                             throws SQLException

Specified by:
  `setEscapeProcessing` in interface `Statement`
Throws:
  `SQLException`

#### getQueryTimeout

    public int getQueryTimeout()
                        throws SQLException

Specified by:
  `getQueryTimeout` in interface `Statement`
Throws:
  `SQLException`

#### setQueryTimeout

    public void setQueryTimeout(int seconds)
                         throws SQLException

Specified by:
  `setQueryTimeout` in interface `Statement`
Throws:
  `SQLException`

#### close

    public void close()
               throws SQLException

Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `Statement`
Throws:
  `SQLException`

#### cancel

    public void cancel()
                throws SQLException

Specified by:
  `cancel` in interface `Statement`
Throws:
  `SQLException`

#### getWarnings

    public SQLWarning getWarnings()
                           throws SQLException

Specified by:
  `getWarnings` in interface `Statement`
Throws:
  `SQLException`

#### clearWarnings

    public void clearWarnings()
                       throws SQLException

Specified by:
  `clearWarnings` in interface `Statement`
Throws:
  `SQLException`

#### setCursorName

    public void setCursorName(String name)
                       throws SQLException

Specified by:
  `setCursorName` in interface `Statement`
Throws:
  `SQLException`

#### execute

    public boolean execute(String sql)
                    throws SQLException

Specified by:
  `execute` in interface `Statement`
Throws:
  `SQLException`

#### getResultSet

    public ResultSet getResultSet()
                           throws SQLException

Specified by:
  `getResultSet` in interface `Statement`
Throws:
  `SQLException`

#### getUpdateCount

    public int getUpdateCount()
                       throws SQLException

Specified by:
  `getUpdateCount` in interface `Statement`
Throws:
  `SQLException`

#### getMoreResults

    public boolean getMoreResults()
                           throws SQLException

Specified by:
  `getMoreResults` in interface `Statement`
Throws:
  `SQLException`

#### setFetchDirection

    public void setFetchDirection(int direction)
                           throws SQLException

Specified by:
  `setFetchDirection` in interface `Statement`
Throws:
  `SQLException`

#### getFetchDirection

    public int getFetchDirection()
                          throws SQLException

Specified by:
  `getFetchDirection` in interface `Statement`
Throws:
  `SQLException`

#### setFetchSize

    public void setFetchSize(int rows)
                      throws SQLException

Specified by:
  `setFetchSize` in interface `Statement`
Throws:
  `SQLException`

#### getFetchSize

    public int getFetchSize()

Specified by:
  `getFetchSize` in interface `Statement`

#### getResultSetConcurrency

    public int getResultSetConcurrency()
                                throws SQLException

Specified by:
  `getResultSetConcurrency` in interface `Statement`
Throws:
  `SQLException`

#### getResultSetType

    public int getResultSetType()
                         throws SQLException

Specified by:
  `getResultSetType` in interface `Statement`
Throws:
  `SQLException`

#### addBatch

    public void addBatch(String sql)
                  throws SQLException

Specified by:
  `addBatch` in interface `Statement`
Throws:
  `SQLException`

#### clearBatch

    public void clearBatch()
                    throws SQLException

Specified by:
  `clearBatch` in interface `Statement`
Throws:
  `SQLException`

#### executeBatch

    public int[] executeBatch()
                       throws SQLException

Specified by:
  `executeBatch` in interface `Statement`
Throws:
  `SQLException`

#### getConnection

    public Connection getConnection()
                             throws SQLException

Specified by:
  `getConnection` in interface `Statement`
Throws:
  `SQLException`

#### getMoreResults

    public boolean getMoreResults(int current)
                           throws SQLException

Specified by:
  `getMoreResults` in interface `Statement`
Throws:
  `SQLException`

#### getGeneratedKeys

    public ResultSet getGeneratedKeys()
                               throws SQLException

Specified by:
  `getGeneratedKeys` in interface `Statement`
Throws:
  `SQLException`

#### executeUpdate

    public int executeUpdate(String sql,
                    int autoGeneratedKeys)
                      throws SQLException

Specified by:
  `executeUpdate` in interface `Statement`
Throws:
  `SQLException`

#### executeUpdate

    public int executeUpdate(String sql,
                    int[] columnIndexes)
                      throws SQLException

Specified by:
  `executeUpdate` in interface `Statement`
Throws:
  `SQLException`

#### executeUpdate

    public int executeUpdate(String sql,
                    String[] columnNames)
                      throws SQLException

Specified by:
  `executeUpdate` in interface `Statement`
Throws:
  `SQLException`

#### setAutoIncAttributes

    protected final void setAutoIncAttributes(boolean getAutoInc,
                            int[] autoIncColumns,
                            String[] autoIncColumnNames)

#### executeUpdate

    protected int executeUpdate(String sql,
                    boolean getAutoInc,
                    int[] autoIncColumns,
                    String[] autoIncColumnNames)
                         throws SQLException

Throws:
  `SQLException`

#### execute

    public boolean execute(String sql,
                  int autoGeneratedKeys)
                    throws SQLException

Specified by:
  `execute` in interface `Statement`
Throws:
  `SQLException`

#### execute

    public boolean execute(String sql,
                  int[] columnIndexes)
                    throws SQLException

Specified by:
  `execute` in interface `Statement`
Throws:
  `SQLException`

#### execute

    public boolean execute(String sql,
                  String[] columnNames)
                    throws SQLException

Specified by:
  `execute` in interface `Statement`
Throws:
  `SQLException`

#### execute

    protected final boolean execute(String sql,
                  boolean getAutoInc,
                  int[] autoIncColumns,
                  String[] autoIncColumnNames)
                             throws SQLException

Throws:
  `SQLException`

#### initializeProcedureOutParams

    protected void initializeProcedureOutParams(com.pivotal.gemfirexd.thrift.StatementResult sr)

#### getResultSetHoldability

    public int getResultSetHoldability()
                                throws SQLException

Specified by:
  `getResultSetHoldability` in interface `Statement`
Throws:
  `SQLException`

#### isClosed

    public boolean isClosed()
                     throws SQLException

Specified by:
  `isClosed` in interface `Statement`
Throws:
  `SQLException`

#### setPoolable

    public void setPoolable(boolean poolable)
                     throws SQLException

Specified by:
  `setPoolable` in interface `Statement`
Throws:
  `SQLException`

#### isPoolable

    public boolean isPoolable()
                       throws SQLException

Specified by:
  `isPoolable` in interface `Statement`
Throws:
  `SQLException`

#### unwrap

    public <T> T unwrap(Class<T> iface)
             throws SQLException

Specified by:
  `unwrap` in interface `Wrapper`
Throws:
  `SQLException`

#### isWrapperFor

    public boolean isWrapperFor(Class<?> iface)
                         throws SQLException

Specified by:
  `isWrapperFor` in interface `Wrapper`
Throws:
  `SQLException`

#### closeOnCompletion

    public void closeOnCompletion()
                           throws SQLException

Specified by:
  `closeOnCompletion` in interface `Statement`
Throws:
  `SQLException`

#### isCloseOnCompletion

    public boolean isCloseOnCompletion()
                                throws SQLException

Specified by:
  `isCloseOnCompletion` in interface `Statement`
Throws:
  `SQLException`

#### getLobSource

    protected final HostConnection getLobSource(boolean throwOnFailure,
                              String op)
                                         throws SQLException

Throws:
  `SQLException`

#### setCurrentSource

    protected final void setCurrentSource(byte entityId,
                        int newId,
                        com.pivotal.gemfirexd.thrift.RowSet rs)

#### clearFinalizer

    protected final void clearFinalizer()

#### createBlob

    public final Blob createBlob(com.pivotal.gemfirexd.thrift.BlobChunk firstChunk)
                          throws SQLException

Specified by:
  `createBlob` in interface `com.pivotal.gemfirexd.thrift.common.LobService`
Throws:
  `SQLException`

#### createClob

    public final Clob createClob(com.pivotal.gemfirexd.thrift.ClobChunk firstChunk)
                          throws SQLException

Specified by:
  `createClob` in interface `com.pivotal.gemfirexd.thrift.common.LobService`
Throws:
  `SQLException`

#### getBlobChunk

    public final com.pivotal.gemfirexd.thrift.BlobChunk getBlobChunk(int lobId,
                                                      long offset,
                                                      int chunkSize,
                                                      boolean freeLobAtEnd)
                                                              throws SQLException

Specified by:
  `getBlobChunk` in interface `com.pivotal.gemfirexd.thrift.common.LobService`
Throws:
  `SQLException`

#### getClobChunk

    public final com.pivotal.gemfirexd.thrift.ClobChunk getClobChunk(int lobId,
                                                      long offset,
                                                      int chunkSize,
                                                      boolean freeLobAtEnd)
                                                              throws SQLException

Specified by:
  `getClobChunk` in interface `com.pivotal.gemfirexd.thrift.common.LobService`
Throws:
  `SQLException`

#### getString

    protected final String getString(int columnIndex,
                   com.pivotal.gemfirexd.thrift.GFXDType gfxdType,
                   com.pivotal.gemfirexd.thrift.Row row)
                              throws SQLException

Throws:
  `SQLException`

#### getBoolean

    protected final boolean getBoolean(int columnIndex,
                     com.pivotal.gemfirexd.thrift.GFXDType gfxdType,
                     com.pivotal.gemfirexd.thrift.Row row)
                                throws SQLException

Throws:
  `SQLException`

#### getByte

    protected final byte getByte(int columnIndex,
               com.pivotal.gemfirexd.thrift.GFXDType gfxdType,
               com.pivotal.gemfirexd.thrift.Row row)
                          throws SQLException

Throws:
  `SQLException`

#### getShort

    protected final short getShort(int columnIndex,
                 com.pivotal.gemfirexd.thrift.GFXDType gfxdType,
                 com.pivotal.gemfirexd.thrift.Row row)
                            throws SQLException

Throws:
  `SQLException`

#### getInt

    protected final int getInt(int columnIndex,
             com.pivotal.gemfirexd.thrift.GFXDType gfxdType,
             com.pivotal.gemfirexd.thrift.Row row)
                        throws SQLException

Throws:
  `SQLException`

#### getLong

    protected final long getLong(int columnIndex,
               com.pivotal.gemfirexd.thrift.GFXDType gfxdType,
               com.pivotal.gemfirexd.thrift.Row row)
                          throws SQLException

Throws:
  `SQLException`

#### getFloat

    protected final float getFloat(int columnIndex,
                 com.pivotal.gemfirexd.thrift.GFXDType gfxdType,
                 com.pivotal.gemfirexd.thrift.Row row)
                            throws SQLException

Throws:
  `SQLException`

#### getDouble

    protected final double getDouble(int columnIndex,
                   com.pivotal.gemfirexd.thrift.GFXDType gfxdType,
                   com.pivotal.gemfirexd.thrift.Row row)
                              throws SQLException

Throws:
  `SQLException`

#### getBigDecimal

    protected final BigDecimal getBigDecimal(int columnIndex,
                           com.pivotal.gemfirexd.thrift.GFXDType gfxdType,
                           com.pivotal.gemfirexd.thrift.Row row)
                                      throws SQLException

Throws:
  `SQLException`

#### getBigDecimal

    protected final BigDecimal getBigDecimal(int columnIndex,
                           int scale,
                           com.pivotal.gemfirexd.thrift.GFXDType gfxdType,
                           com.pivotal.gemfirexd.thrift.Row row)
                                      throws SQLException

Throws:
  `SQLException`

#### getBytes

    protected final byte[] getBytes(int columnIndex,
                  com.pivotal.gemfirexd.thrift.GFXDType gfxdType,
                  com.pivotal.gemfirexd.thrift.Row row)
                             throws SQLException

Throws:
  `SQLException`

#### getDate

    protected final Date getDate(int columnIndex,
               Calendar cal,
               com.pivotal.gemfirexd.thrift.GFXDType gfxdType,
               com.pivotal.gemfirexd.thrift.Row row)
                          throws SQLException

Throws:
  `SQLException`

#### getTime

    protected final Time getTime(int columnIndex,
               Calendar cal,
               com.pivotal.gemfirexd.thrift.GFXDType gfxdType,
               com.pivotal.gemfirexd.thrift.Row row)
                          throws SQLException

Throws:
  `SQLException`

#### getTimestamp

    protected final Timestamp getTimestamp(int columnIndex,
                         Calendar cal,
                         com.pivotal.gemfirexd.thrift.GFXDType gfxdType,
                         com.pivotal.gemfirexd.thrift.Row row)
                                    throws SQLException

Throws:
  `SQLException`

#### getObject

    protected final Object getObject(int columnIndex,
                   com.pivotal.gemfirexd.thrift.GFXDType gfxdType,
                   com.pivotal.gemfirexd.thrift.Row row)
                              throws SQLException

Throws:
  `SQLException`

#### getBlob

    protected final Blob getBlob(int columnIndex,
               com.pivotal.gemfirexd.thrift.GFXDType gfxdType,
               com.pivotal.gemfirexd.thrift.Row row)
                          throws SQLException

Throws:
  `SQLException`

#### getBinaryStream

    protected final InputStream getBinaryStream(int columnIndex,
                              com.pivotal.gemfirexd.thrift.GFXDType gfxdType,
                              com.pivotal.gemfirexd.thrift.Row row)
                                         throws SQLException

Throws:
  `SQLException`

#### getClob

    protected final Clob getClob(int columnIndex,
               com.pivotal.gemfirexd.thrift.GFXDType gfxdType,
               com.pivotal.gemfirexd.thrift.Row row)
                          throws SQLException

Throws:
  `SQLException`

#### getCharacterStream

    protected final Reader getCharacterStream(int columnIndex,
                            com.pivotal.gemfirexd.thrift.GFXDType gfxdType,
                            com.pivotal.gemfirexd.thrift.Row row)
                                       throws SQLException

Throws:
  `SQLException`

#### getAsciiStream

    protected final InputStream getAsciiStream(int columnIndex,
                             com.pivotal.gemfirexd.thrift.GFXDType gfxdType,
                             com.pivotal.gemfirexd.thrift.Row row)
                                        throws SQLException

Throws:
  `SQLException`

#### getObject

    protected Object getObject(int columnIndex,
                   Map<String,Class<?>> map,
                   com.pivotal.gemfirexd.thrift.GFXDType gfxdType,
                   com.pivotal.gemfirexd.thrift.Row row)
                        throws SQLException

Throws:
  `SQLException`

#### getRef

    protected Ref getRef(int columnIndex,
             com.pivotal.gemfirexd.thrift.GFXDType gfxdType,
             com.pivotal.gemfirexd.thrift.Row row)
                  throws SQLException

Throws:
  `SQLException`

#### getArray

    protected Array getArray(int columnIndex,
                 com.pivotal.gemfirexd.thrift.GFXDType gfxdType,
                 com.pivotal.gemfirexd.thrift.Row row)
                      throws SQLException

Throws:
  `SQLException`

#### getURL

    protected URL getURL(int columnIndex,
             com.pivotal.gemfirexd.thrift.GFXDType gfxdType,
             com.pivotal.gemfirexd.thrift.Row row)
                  throws SQLException

Throws:
  `SQLException`

#### getRowId

    protected RowId getRowId(int columnIndex,
                 com.pivotal.gemfirexd.thrift.GFXDType gfxdType,
                 com.pivotal.gemfirexd.thrift.Row row)
                      throws SQLException

Throws:
  `SQLException`

#### getNClob

    protected NClob getNClob(int columnIndex,
                 com.pivotal.gemfirexd.thrift.GFXDType gfxdType,
                 com.pivotal.gemfirexd.thrift.Row row)
                      throws SQLException

Throws:
  `SQLException`

#### getSQLXML

    protected SQLXML getSQLXML(int columnIndex,
                   com.pivotal.gemfirexd.thrift.GFXDType gfxdType,
                   com.pivotal.gemfirexd.thrift.Row row)
                        throws SQLException

Throws:
  `SQLException`

#### getNString

    protected String getNString(int columnIndex,
                    com.pivotal.gemfirexd.thrift.GFXDType gfxdType,
                    com.pivotal.gemfirexd.thrift.Row row)
                         throws SQLException

Throws:
  `SQLException`

#### getNCharacterStream

    protected Reader getNCharacterStream(int columnIndex,
                             com.pivotal.gemfirexd.thrift.GFXDType gfxdType,
                             com.pivotal.gemfirexd.thrift.Row row)
                                  throws SQLException

Throws:
  `SQLException`

#### getObject

    protected <T> T getObject(int columnIndex,
                  Class<T> type,
                  com.pivotal.gemfirexd.thrift.GFXDType gfxdType,
                  com.pivotal.gemfirexd.thrift.Row row)
                   throws SQLException

Throws:
  `SQLException`